libzypp 17.37.10

zyppng::AcceptPackageKeyRequest Namespace Reference

Ask user to trust and/or import the package key to trusted keyring. More...

## Functions
constexpr std::string_view | CTYPE ("keyring/accept-package-key")
constexpr std::string_view | KEY ("key")
constexpr std::string_view | KEY_CONTEXT ("key-context")
UserData | makeData (const zypp::PublicKey &key_r, const zypp::KeyContext &keycontext_r=zypp::KeyContext())

## Detailed Description

Ask user to trust and/or import the package key to trusted keyring.

Userdata fields:

- "key" The PublicKey to be accepted
- "key-context" The KeyContext

See also
  zypp::KeyTrust

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::AcceptPackageKeyRequest::CTYPE | ( | "keyring/accept-package-key" |  | ) |
| constexpr

## ◆ KEY()

std::string_view zyppng::AcceptPackageKeyRequest::KEY | ( | "key" |  | ) |
| constexpr

## ◆ KEY_CONTEXT()

std::string_view zyppng::AcceptPackageKeyRequest::KEY_CONTEXT | ( | "key-context" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::AcceptPackageKeyRequest::makeData | ( | const zypp::PublicKey & | key_r,
|  | const zypp::KeyContext & | keycontext_r = zypp::KeyContext() )

Definition at line 95 of file userrequest.cc.